%define name 3dwm
%define version 0.3.1
%define release 3mdk

%define major 0
%define libname lib%name%major

Name: 		%name
Summary: 	3D user environment
Version: 	%version
Release: 	%release
Source0: 	%name-%version.tar.bz2
Source1:	tdwmrc
Group: 		Graphical desktop/Other
BuildRoot: 	%_tmppath/%name-buildroot
License: 	LGPL
URL: 		http://www.3dwm.org
BuildRequires:  libomniorb3-devel libmeshio0-devel
BuildRequires:	expat libexpat1_95-devel libalsa1-devel
Requires:	%libname

%description
3Dwm is a three-dimensional user environment that can run on 
immersive Virtual Reality hardware (such as CAVEs and HMDs) 
as well as on desktop computers. It is a platform for the 
research and development of three-dimensional user interfaces, 
providing a means of exploring possible future user interfaces. 
3Dwm is fully distributed using CORBA. Other planned and 
implemented features include OpenGL rendering, X11 (and other 
windowing system) bindings, CAVELib support, 3D TrueType fonts, 
general streaming movie support, a 3DUI widget kit, etc

%package -n %libname
Summary: 3D user environment - Libraries
Group: System/Libraries

%description -n %libname
3Dwm is a three-dimensional user environment that can run on
immersive Virtual Reality hardware (such as CAVEs and HMDs)
as well as on desktop computers. It is a platform for the
research and development of three-dimensional user interfaces,
providing a means of exploring possible future user interfaces.
3Dwm is fully distributed using CORBA. Other planned and
implemented features include OpenGL rendering, X11 (and other
windowing system) bindings, CAVELib support, 3D TrueType fonts,
general streaming movie support, a 3DUI widget kit, etc

%package -n %libname-devel
Summary: 3D user environment - Libraries
Group: System/Libraries
Provides: lib3dwm-devel
Requires: %libname = %version

%description -n %libname-devel
3Dwm is a three-dimensional user environment that can run on
immersive Virtual Reality hardware (such as CAVEs and HMDs)
as well as on desktop computers. It is a platform for the
research and development of three-dimensional user interfaces,
providing a means of exploring possible future user interfaces.
3Dwm is fully distributed using CORBA. Other planned and
implemented features include OpenGL rendering, X11 (and other
windowing system) bindings, CAVELib support, 3D TrueType fonts,
general streaming movie support, a 3DUI widget kit, etc

%prep

%setup -q

%build

%configure --enable-optimize --disable-rpath

make

%install

%makeinstall

rm $RPM_BUILD_ROOT/%_datadir/3Dwm/tdwmrc
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/%_datadir/3Dwm/

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT 

%files 
%defattr(-,root,root)
%_bindir/*
%_datadir/3Dwm

%files -n %libname
%defattr(-,root,root)
%_libdir/*.so.*

%files -n %libname-devel
%defattr(-,root,root)
%_libdir/*.so
%_libdir/*.a
%_libdir/*.la
%_includedir/Nobel*

%changelog
* Mon Oct 29 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3.1-3mdk
- fix license

* Mon Oct 29 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3.1-2mdk
- modify /usr/share/3Dwm/tdwmrc

* Mon Oct 29 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3.1-1mdk
- new
